FruxonDocs
ApiSingle sign on

Gets the workspace's SSO connection.

Available on every plan, so a workspace that left Enterprise still sees, and can delete, its connection.

GET
/v1/tenants/{tenant}/ssoConnection
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/ssoConnection"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "protocol": "SAML",
  "displayName": "string",
  "acsUrl": "string",
  "spEntityId": "string",
  "identityPlatformTenantId": "string",
  "liveProviderId": "string",
  "candidateProviderId": "string",
  "enabled": false,
  "candidateRevision": {
    "revision": 0,
    "idpEntityId": "string",
    "ssoUrl": "string",
    "certificates": [
      {
        "sha256Fingerprint": "string",
        "subject": "string",
        "notAfter": 0
      }
    ],
    "metadataUrl": "string",
    "createdBy": "string",
    "createdAt": 0
  },
  "candidateAppliedRevision": 0,
  "liveRevision": {
    "revision": 0,
    "idpEntityId": "string",
    "ssoUrl": "string",
    "certificates": [
      {
        "sha256Fingerprint": "string",
        "subject": "string",
        "notAfter": 0
      }
    ],
    "metadataUrl": "string",
    "createdBy": "string",
    "createdAt": 0
  },
  "liveRevisionNumber": 0,
  "testedRevision": 0,
  "testedAt": 0,
  "testedBy": "string",
  "applying": false,
  "attachedDomains": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "domain": "string",
      "domainClaimId": "00000000-0000-0000-0000-000000000000",
      "claimStatus": "PENDING",
      "attachedBy": "string",
      "attachedAt": 0
    }
  ],
  "recentChanges": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "kind": "CREATE_TENANT",
      "revision": 0,
      "status": "PENDING",
      "error": "string",
      "attempts": 0,
      "requestedAt": 0,
      "completedAt": 0
    }
  ],
  "createdBy": "string",
  "createdAt": 0
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}